Next: _gfortran_caf_image_status, Previous: _gfortran_caf_this_image, Up: Function ABI Documentation [Contents][Index]

#### 8.2.4 `_gfortran_caf_num_images` — Querying the maximal number of images

Description:

  This function returns the number of images in the current team, if distance is 0 or the number of images in the parent team at the specified distance. If failed is -1, the function returns the number of all images at the specified distance; if it is 0, the function returns the number of nonfailed images, and if it is 1, it returns the number of failed images.

Syntax:

  `int _gfortran_caf_num_images(int distance, int failed)`

Arguments:

  distance | the distance from this image to the ancestor. Shall be positive.
  failed | shall be -1, 0, or 1

NOTES

  This function follows TS18508. If the num_image intrinsic has no arguments, then the compiler passes `distance=0` and `failed=-1` to the function.